From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sun, 2 Mar 2025 20:48:39 +0100
Subject: Exclude tests failing with php-http/psr7-integration-tests

It may be caused be the version currently shipped in Debian rather than
expected version upstream, or some other problem needing more
investigation.
---
 tests/Factory/ServerRequestFactoryTest.php | 2 ++
 tests/Factory/StreamFactoryTest.php        | 3 +++
 2 files changed, 5 insertions(+)

diff --git a/tests/Factory/ServerRequestFactoryTest.php b/tests/Factory/ServerRequestFactoryTest.php
index d46be55..5ec211c 100644
--- a/tests/Factory/ServerRequestFactoryTest.php
+++ b/tests/Factory/ServerRequestFactoryTest.php
@@ -12,6 +12,7 @@ namespace Slim\Tests\Psr7\Factory;
 
 use Interop\Http\Factory\ServerRequestFactoryTestCase;
 use InvalidArgumentException;
+use PHPUnit\Framework\Attributes\Group;
 use Psr\Http\Message\UriInterface;
 use ReflectionClass;
 use Slim\Psr7\Environment;
@@ -43,6 +44,7 @@ class ServerRequestFactoryTest extends ServerRequestFactoryTestCase
         $this->assertEquals('1.0', $request->getProtocolVersion());
     }
 
+    #[Group('excluded')]
     public function testCreateFromGlobals()
     {
         $GLOBALS['getallheaders_return'] = [
diff --git a/tests/Factory/StreamFactoryTest.php b/tests/Factory/StreamFactoryTest.php
index e10d38d..e8e025c 100644
--- a/tests/Factory/StreamFactoryTest.php
+++ b/tests/Factory/StreamFactoryTest.php
@@ -12,6 +12,7 @@ namespace Slim\Tests\Psr7\Factory;
 
 use Interop\Http\Factory\StreamFactoryTestCase;
 use InvalidArgumentException;
+use PHPUnit\Framework\Attributes\Group;
 use RuntimeException;
 use Slim\Psr7\Factory\StreamFactory;
 
@@ -29,6 +30,7 @@ class StreamFactoryTest extends StreamFactoryTestCase
         return new StreamFactory();
     }
 
+    #[Group('excluded')]
     public function testCreateStreamThrowsRuntimeException()
     {
         $this->expectException(RuntimeException::class);
@@ -41,6 +43,7 @@ class StreamFactoryTest extends StreamFactoryTestCase
         $factory->createStream();
     }
 
+    #[Group('excluded')]
     public function testCreateStreamFromFileThrowsRuntimeException()
     {
         $this->expectException(RuntimeException::class);
